Use this file to discover all available pages before exploring further.
NOTIFY_DEPOSITED (type=1)When a user deposits digital currency into their deposit address in WaaS, WaaS will notify you of the deposit details through this callback. The merchant needs to inform WaaS in the response whether this callback has been accepted.
The request sent by WaaS is an RSA-encrypted Base64 string. Merchants need to decrypt it using their public key to obtain the following business parameters:
After processing the callback, merchants need to return a JSON-formatted response body. The data field must return an RSA-encrypted Base64 string (encrypted using the public key provided by WaaS), while other fields are in plain text:
Encrypted business data, e.g.: i2H9eQf22gLnJoTeo1WbWVR6wmNv (refer to example on right)Generated by encrypting the following raw business parameters:type (Integer) : Callback typetrackingId (String) : Business event identifiertxId (String) : Blockchain transaction hashtxIndex (Integer) : Transaction sequence number in blockchainName (String) : Blockchain namesymbol (String) : Token symbolamount (Integer) : Deposit amountfromAddress (String) : Deposit source addresstoAddress (String) : Deposit target addressrequestUUID (String) : Unique request identifier, merchant must return the same requestUUID in response to help WaaS confirmtenantUserId (String) : User ID initiating deposit (in merchant system, not WaaS system)